#
# spec file for package ffxvid
#
# Copyright (c) 2024 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffxvid
Version:        1.8.11
Release:        1699.1.pm.1
Summary:        A small shell script for encoding to Xvid with FFmpeg
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffxvid.teambelgium.net
Source0:        %{name}-%{version}.tar.gz
Requires:       ffmpeg
Requires:       bc
Requires:       mplayer
Requires:       gpac >= 0.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A small shell script for encoding video files to the MPEG-4 Part 2/Xvid video format
using FFmpeg and libxvid.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

gzip -9 %{name}.1
install -D -m 644 %{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/*
%doc AUTHORS ChangeLog LICENSE README *.txt

%changelog
* Tue Nov 26 2024 neutrino8@gmail.com
- Update to version 1.8.11
  * Fixed a syntax error in the video_deinterlace_func()
    function. Reported by Christian Marillat
* Thu Nov 21 2024 neutrino8@gmail.com
- Update to version 1.8.10
  * Added support for disabling automatic metadata
    such as video title, audio codec names, etc
    through the config file
* Mon Nov 18 2024 neutrino8@gmail.com
- Update to version 1.8.9
  * Fixed a bug in the audio metadata when copying
    the Dolby core audio that added "+ Atmos" to the
    metadata
  * One-line micro-optimization in the Dolby metadata code
* Mon Nov 11 2024 neutrino8@gmail.com
- Update to version 1.8.8
  * Do colorspace conversion before scaling
  * Moved chroma location code after color primaries code
    and before the IDR/keyframes code
* Fri Nov  8 2024 neutrino8@gmail.com
- Update to version 1.8.7
  * Support copying the DTS core-only from DTS 96/24 and
    DTS:X IMAX tracks
  * Updated the AAC profile detection for audio copy
* Wed Nov  6 2024 neutrino8@gmail.com
- Update to version 1.8.6
  * Fixed a bug in the video_hdr_to_sdr_func() function
  * Replaced the detelecine filter with a combination
    of the fieldmatch, bwdif and decimate filters
  * Use 0 as default value for the tonemap desat
    filter option
* Sun Nov  3 2024 neutrino8@gmail.com
- Update to version 1.8.5
  * Support copying full DTS-X audio or only the DTS core
* Sat Nov  2 2024 neutrino8@gmail.com
- Update to version 1.8.4
  * Support copying full DTS-HD HRA audio or just the DTS Core in it
  * Support copying full Dolby Atmos audio or just the AC-3/TrueHD
    Core in it
* Fri Nov  1 2024 neutrino8@gmail.com
- Update to version 1.8.3
  * Added support for copying only the DTS Core
    audio or the full DTS-HD MA audio track
* Wed Oct 30 2024 neutrino8@gmail.com
- Update to version 1.8.2
  * Reduced duplication in the final audio params
    code variable
  * Use kHz instead of Hz for audio sample rate
    metadata
  * Slightly increased default value of the noise
    filter
  * Updated the AUTHORS file (email address)
* Mon Oct 28 2024 neutrino8@gmail.com
- Update to version 1.8.1
  * Updated the audio copy code to detect Dolby
    Atmos and use the correct name metadata
  * Renamed a few variables
* Wed Feb 28 2024 neutrino8@opensuse.org
- Update to version 1.8.0
  * Initial support for zimg (z lib) scalers
* Sun Feb  4 2024 neutrino8@opensuse.org
- Update to version 1.7.7
  * Don't exit but warn about MP4Box/Mplayer missing
    from the user's system
* Sun Jan  7 2024 neutrino8@opensuse.org
- Update to version 1.7.6
  * Improved compatibility with the BSDs
  * Set the setpts + atempo option as default for
    FPS conversion
  * Set side/wide audio channels as default
  * Support the newly added channels for TrueHD audio
  * Bugfix in the video_noise_func() function
  * Improved FPS detection code
* Thu Aug 17 2023 neutrino8@opensuse.org
- Update to version 1.7.5
  * Fix crop detection for HDR content
  * Set Lanczos as default scaler option
* Mon Jan 23 2023 neutrino8@opensuse.org
- Update to version 1.7.4
  * Support more deinterlacing filters
* Tue Feb  2 2021 neutrino8@opensuse.org
- Update to version 1.7.3
  * Replace the yadif deinterlacer with bwdif. It's
    faster and provides higher quality
* Fri Jan 22 2021 neutrino8@opensuse.org
- Update to version 1.7.2
  * Remove "a" from the -ac audio option
  * Fix possible negative index in the audio option
* Mon Dec 28 2020 neutrino8@opensuse.org
- Update to version 1.7.1
  * Fix a bug in the $vidtrack variable
* Sun Dec 27 2020 neutrino8@opensuse.org
- Update to version 1.7.0
  * Fixed a long standing bug where audio mapping
    values were incorrect for audio metadata
    resulting in incomplete or wrong values
* Sun Jun 21 2020 neutrino8@opensuse.org
- Update to version 1.6.9
  * Fixed a bug that prevents using TrueHD mono audio
    in the MP4 container
* Tue Jun 16 2020 neutrino8@opensuse.org
- Update to version 1.6.8
  * Support TrueHD audio in the MP4 container
* Fri Mar 27 2020 neutrino8@opensuse.org
- Update to version 1.6.7
  * Check for MPlayer only if AUTOCROP is enabled
* Mon Mar 23 2020 neutrino8@opensuse.org
- Update to version 1.6.6
  * Add -max_muxing_queue_size switch to workaround
    possible issues when muxing Atmos/DTS-X audio
* Mon Mar  9 2020 neutrino8@opensuse.org
- Update to version 1.6.5
  * Bugfix: missing if conditional in the crop code
* Thu Mar  5 2020 neutrino8@opensuse.org
- Update to version 1.6.4
  * Go back to FFmpeg for crop detection
* Sun Feb 23 2020 neutrino8@opensuse.org
- Update to version 1.6.3
  * Use MPlayer for crop detection instead of FFmpeg which
    seems to have issues with 4k/UHD content
* Sat Dec 28 2019 neutrino8@opensuse.org
- Update to version 1.6.2
  * Add support for the noise video filter. Can be beneficial
    on (very) clean sources by applying some noise to avoid
    things like color/light banding in the encode
* Mon Nov 11 2019 neutrino8@opensuse.org
- Update to version 1.6.1
  * Added support for the (newer) deblock filter
* Mon Nov  4 2019 neutrino8@opensuse.org
- Update to version 1.6.0
  * Merged two case statements in the metadata code for mkv/mp4/mov
  * Bugfix: Using ADPCM encoding for DTS audio wasn't possible due
    to wrong variable used in the if conditional
* Tue Oct 29 2019 neutrino8@opensuse.org
- Update to version 1.5.9
  * Removed an unneeded check for audio codec in the conerror_func() function
  * Removed a stale "" in the case statement that checks the channels for AC3
  * Support setting the matrixed stereo type when resampling stereo input
  * Support setting the filter type of the audio resample filter
  * Cosmetics
* Mon Oct 28 2019 neutrino8@opensuse.org
- Update to version 1.5.8
  * Added support for director/cast metadata for MP4/MOV/M4V
  * Added +use_metadata_tags to the $movflags variable for MP4/MOV/M4V
  * Support ADPCM encoding for DTS audio
  * Fixed an issue where asking for director/cast occured multiple
    times if remuxing to other containers was enabled
* Sun Oct 27 2019 neutrino8@opensuse.org
- Update to version 1.5.7
  * Use 16 bits as bit depth metadata when encoding to TrueHD audio
  * Removed an unneeded if conditional in the audio bit depth code
  * Add director and cast metadata for the MKV container
  * Reorder some code for the output shell file
  * Cosmetics
* Sat Oct 26 2019 neutrino8@opensuse.org
- Update to version 1.5.6
  * Renamed audio variable aid[i] to aidx[i] and moved it outside
  of the if conditional that decides the audio codec. This
  removes the same code in three places and now uses the
  global aidx[i] variable
  * HE-AACv2 only supports 2 channels. Update the audio code
  to reflect that
  * When running in batch mode, add a warning about automatic
  audio metadata and offer an option to enable/disable it
  * Added -tmp option to MP4Box to store temp files in the
  output directory
  * Some minor improvements to the audio options
* Fri Oct 25 2019 neutrino8@opensuse.org
- Update to version 1.5.5
  * Detect audio bit depth and add it to the audio metadata
  * Added detection for DTS Express and DTS-HD HR for audio copy
  * Use -show_entries instead of -show_streams for detecting
    audio properties with ffprobe. Removes piping to grep and awk
  * Support setting the FLAC bit depth for encoding
  * Minor restructuring and variables renaming in the audio code
  * Updated the man page
* Thu Oct 24 2019 neutrino8@opensuse.org
- Update to version 1.5.4
  * Add constant/non-constant matrix option to the
    video_csmisc_func() function
* Wed Oct 23 2019 neutrino8@opensuse.org
- Update to version 1.5.3
  * Set default audio codec based on output container format
  * Add colr option for MP4Box to the video_colorspace_func()
    function and the color primaries code. Only used for MOV
  * Add -color_primaries, -color_trc and -colorspace to the
    FFmpeg command line options
* Tue Oct 22 2019 neutrino8@opensuse.org
- Update to version 1.5.2
  * Add support for SRT/SSA/AAS subtitles for the MOV container
  * Remove the colorprim lines from the video_colorspace_func()
    function. They are not used
* Mon Oct 21 2019 neutrino8@opensuse.org
- Update to version 3.9.4
  * Renamed variables $MDATA and $CHPS to $METADATA and $CHAPS
  * Add $METADATA and $CHAPS to the remuxing code
* Mon Oct 21 2019 neutrino8@opensuse.org
- Update to version 1.5.0
  * Add support for verbose logging to a log file
  * Bugfix: -map_metadata and -map_chapters where not set
    to 0 when the respective options in the config file
    were set to "y"
* Sun Oct 20 2019 neutrino8@opensuse.org
- Update to version 1.4.9
  * Added support for embedding of SRT/SSA/ASS subtitles
  in the MP4/M4V container
  * Moved back to MP4Box for adding cover art to MP4/M4V/MOV.
  Apparently, after lots of testing, atomicparsley
  creates files that hang during playback
  * Cosmetics
  * Updated the man page
* Sat Oct 19 2019 neutrino8@opensuse.org
- Update to version 1.4.8
  * Use atomicparsley to add cover art for the mp4/m4v
  containers. This removes dependence on MP4Box and
  makes it possible to copy over metadata info in
  an easy way
  * Add +frag_keyframe to the -movflags option when
  output is mp4
  * Renamed variable METACOVER to MKVCOVER
  * Updated the man page
* Fri Oct 18 2019 neutrino8@opensuse.org
- Update to version 1.4.7
  * Bugfix: use correct video track for crop preview with MPlayer
  * Bugfix: missing ;; in the additional container formats code
  * Renamed variable SCAN_MULTIPLE_VID_TRACKS to SCAN_MULTI_VID_TRACKS
  * Some reordering in the config file
  * Set Catmull-Rom as default Bicubic/Spline tuning
  * Add LPCM detection for audio copy
  * Support the mp4/m4v containers
  * Add support for cover art for the mp4/m4v/mov containers.
    Requires MP4Box from GPAC
  * Some code optimization
* Thu Oct 17 2019 neutrino8@opensuse.org
- Update to version 1.4.6
  * Support the WMV container format
* Wed Oct 16 2019 neutrino8@opensuse.org
- Update to version 1.4.5
  * Support the fftdnoiz denoise filter
* Tue Oct 15 2019 neutrino8@opensuse.org
- Update to version 1.4.4
  * Bugfix: use correct video mapping for crop detection
* Mon Oct 14 2019 neutrino8@opensuse.org
- Update to version 1.4.3
  * Support scanning for multiple video tracks in the input file
* Sun Oct 13 2019 neutrino8@opensuse.org
- Update to version 1.4.2
  * Use readlink -e and realpath -e where needed
  * Cosmetics
* Fri Oct 11 2019 neutrino8@opensuse.org
- Update to version 1.4.1
  * Support hardcoding external or embedded subtitles.
    Requires libass support in FFmpeg
  * Fixed a typo in the subtitles code
* Wed Sep 25 2019 neutrino8@opensuse.org
- Update to version 1.4.0
  * Revert using audindex[i] var for audio metadata
    detection
* Wed Sep 25 2019 neutrino8@opensuse.org
- Update to version 1.3.9
  * Use the audindex[i] variable for audio metadata
    during audio copy
  * Don't use audio metadata when using audio copy
    and running in batch mode
  * Updated default audio bitrates for some codecs
* Sun Sep 22 2019 neutrino8@opensuse.org
- Update to version 1.3.8
  * For audio stream copy, in case ffprobe reports
    channels layout as unknown, try to guess the
    amount of channels based on channel detection
    and use that as metadata
  * Set Mobisu transform as default for HDR to SDR
  * Updated the man page
* Sat Sep 21 2019 neutrino8@opensuse.org
- Update to version 1.3.7
  * Add side channel info to the audio metadata
* Thu Sep 19 2019 neutrino8@opensuse.org
- Update to version 1.3.6
  * Support encoding to WMAv1 and WMAv2 audio
  * Update high bit depth pixel formats options
  * Add WMAv1 and WMAv2 audio detection metadata
    when doing audio copy
* Wed Sep 18 2019 neutrino8@opensuse.org
- Update to version 1.3.5
  * Improvements to the audio copy metadata
* Fri Sep 13 2019 neutrino8@opensuse.org
- Update to version 1.3.4
  * Add audio channel metadata when using audio copy
* Thu Sep  5 2019 neutrino8@opensuse.org
- Update to version 1.3.3
  * Code optimization in the audio sample rate metadata
* Thu Aug 29 2019 neutrino8@opensuse.org
- Update to version 1.3.2
  * Use a comma instead of a dash for the audio sample
    rate metadata
* Wed Aug 21 2019 neutrino8@opensuse.org
- Update to version 1.3.1
  * Add audio sample rate to the audio metadata
* Tue Jul 23 2019 neutrino8@opensuse.org
- Update to version 1.3.0
  * Added support for crop preview using MPlayer when
    autocrop is enabled in the config file. This was
    ported over from my h264enc script
* Thu Jun 14 2018 neutrino8@opensuse.org
- Update to version 1.2.9
  * Added support for the bm3d denoise filter
* Mon Feb 26 2018 neutrino8@opensuse.org
- Update to version 1.2.8
  * Set the eq saturation default value to 1.0 (same as filter default)
  * Add the colorspace and colormatrix filters when doing an HDR
    to SDR conversion
  * Lower tonemap desat strength to 2.8
  * Support white point adaptation for HDR to SDR
  * Moved the colorspace filter after the scale one
  * Moved the pixel format filter near the end of the filter chain
* Tue Feb 20 2018 neutrino8@opensuse.org
- Update to version 1.2.7
  * Fixed an issue where in some cases write-testing the output
    directory will fail due usage of readlink -f instead of
    readlink -m
  * Update transfer chars to support latest changes to zimg from git
* Tue Jan  9 2018 neutrino8@opensuse.org
- Update to version 1.2.6
  * Moved the eq filter to almost the end of the video filter chain
    as it can lead to banding in certain cases in case the filter
    is in front of most other ones
  * If the eq filter is used, also insert the format one after it
    if a pixel format has been chosen
  * Fixed a possible devision by 0 that may occur when one copies
    audio and the bitrate for metadata is reported as N/A by ffprobe
* Thu Jan  4 2018 neutrino8@opensuse.org
- Update to version 1.2.5
  * Don't hardcode the desaturation strength of the tonemap filter
    but let is be an option
  * Removed the matrix and primaries options in the zscale filter
    as it leads to over-saturation of colors
  * Support tweaking the tonemap algorithms for HDR to SDR conversion
  * Support applying color saturation correction when doing an HDR
    to SDR conversion
  * Added bt2020-12 to the list of transfers when doing color
    characteristics copy
  * Added HDR_to_SDR_instructions.txt file to the package
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 1.2.4
  * Reworked the video_chars_func() function and added reporting
    of video bit depth
  * Initial support for audio codec metadata when doing audio
    copy
  * Increased default E-AC-3 audio bitrate from 768 to 960 kbps
  * Set dialnorm for AC-3/E-AC-3 to its FFmpeg default (-31)
  * Use a desat value of 2.5 for the tonemap filter when doing HDR
    to SDR conversions
  * Don't use pix_fmts in the format filter. It is not really needed
  * Removed 12-bit options from the video_pixfmt_func() function
  * Cosmetics
* Wed Dec 27 2017 neutrino8@opensuse.org
- Update to version 1.2.3
  * Renamed array variable CHARS to VCHARS in the video_chars_func()
    function
  * Report pixel format in the video_chars_func() function
  * Use -v quiet instead of -v error log level for ffprobe
  * Cosmetics
* Tue Dec 26 2017 neutrino8@opensuse.org
- Update to version 1.2.2
  * Initial support for HDR to SDR conversions. Requires
    FFmpeg to be compiled with the zimg library as it
    needs the zscale filter
    https://github.com/sekrit-twc/zimg
* Sun Oct 22 2017 neutrino8@opensuse.org
- Update to version 1.2.1
  * Support dialog level normalization for AC3/EAC3 audio
* Fri Sep 29 2017 neutrino8@opensuse.org
- Update to version 1.2.0
  * Support setting the output video aspect ratio
* Wed Aug 23 2017 neutrino8@opensuse.org
- Update to version 1.1.9
  * Support full chroma input for the software scaler
* Fri Jul 21 2017 neutrino8@opensuse.org
- Add realpath to the CHDIR var for batch mode
* Thu Jul 20 2017 neutrino8@opensuse.org
- Update to version 1.1.8
  * Bugfix: use realpath instead of readlink for the OUTPUT
    var when running in batch mode. Fixes the issue where
    readlink will follow the full path in case the input
    is a symlink which may result of encoding files we
    were not asked to
  * Don't print cropped resolution during runtime
    if batch mode is selected
  * Remove check for realpath. It is now required and not
    optional
* Wed Jun 14 2017 neutrino8@opensuse.org
- Update to version 1.1.7
  * Make software scaler tweaking optional
  * Added support for the unsharp filter for sharpen/blur
  * Use a colon symbol as separation for input/output color range
    in the video_colorspace_func() function as to be consistent
    with the other options. Also set the default to tv:tv
* Tue Jun 13 2017 neutrino8@opensuse.org
- Update to version 1.1.6
  * Bugfix in the video_colorspace_func() function. Wrong value
    used for the ispace option of the filter. Must be bt2020ncl
    instead of just bt2020
* Sat Jun 10 2017 neutrino8@opensuse.org
- Update to version 1.1.5
  * Replace numbers in array variable char of the video_chars_func()
    function with the ones from the for loop
  * Pipe the ffprobe string to tail -1 to work around issues
    with some problematic files
  * Some small improvements to the video_colorspace_func() function
* Fri Jun  9 2017 neutrino8@opensuse.org
- Update to version 1.1.4
  * New function, video_chars_func(), to detect and display video
    characteristics like color range/space/transfer/primaries
  * Detect and display video resolution if video scaling is enabled
  * Detect and display pixel format
* Thu Jun  8 2017 neutrino8@opensuse.org
- Update to version 1.1.3
  * Report software scaler set in the config file
  * Merge the bicubic and spline scaler tuning code
  * Mention for the Lanczos scaler that the scaler
    tuning value is the filter length and not sharpness
* Mon Jun  5 2017 neutrino8@opensuse.org
- Update to version 1.1.2
  * Remove redundant software scaler warning and exit in
    the sws_func() function for the config file
  * Added support for the experimental software scaler
  * Added support for software scaler tuning where applicable
  * Removed additional encoder info on max audio channels support
* Sun Jun  4 2017 neutrino8@opensuse.org
- Update to version 1.1.1
  * Match software scaler options in config file with the
    ones inside the script. $SCALER in config file now
    takes a value between 0 and 9
  * Do some basic checking of scaler option when it's set
    in the config file
* Thu Jun  1 2017 neutrino8@opensuse.org
- Update to version 1.1.0
  * Simplify the scale variable a bit
  * Support SMPTE170M colorspace conversion
* Tue May 16 2017 neutrino8@opensuse.org
- Update to version 1.0.9
  * Added support for FFmpeg's internal Opus audio encoder
* Sun May 14 2017 neutrino8@opensuse.org
- Update to version 1.0.8
  * Bugfix in the software scale code. Use an if conditional
    to check for an y/n answer
* Sat May 13 2017 neutrino8@opensuse.org
- Update to version 1.0.7
  * Support accurate rounding for the software scalers
  * Support full chroma interpolation for the software scalers
  * Use the flags option of the scale option instead of -sws_flags
    to set scaler and its options
  * Bugfix: software scaler code missing
* Mon Apr  3 2017 neutrino8@opensuse.org
- Update to version 1.0.6
  * Support setting the input/output color range
* Sat Mar 18 2017 neutrino8@opensuse.org
- Update to version 1.0.5
  * Update audio compression level values
  * Update colorspace entry for NTSC video
  * Fixed bug in the video_colorspace_func() values
* Wed Feb 22 2017 neutrino8@opensuse.org
- Update to version 1.0.4
  * Support high FPS -> low FPS conversions
  * Bugfix: missing options in FPS conversion menu
* Sun Feb 19 2017 neutrino8@opensuse.org
- Update to version 1.0.3
  * Enable Variance AQ by default
  * Correct a few things in man page
  * Update the preset.txt file
* Sat Feb 18 2017 neutrino8@opensuse.org
- Update to version 1.0.2
  * Switch to using libxvid instead of mpeg4 encoder
  * Set appropriate threads amount for encoding
  * Update default encoding options
* Fri Feb 17 2017 neutrino8@opensuse.org
- Update to version 1.0.1
  * Update default encoding options
* Fri Feb 17 2017 neutrino8@opensuse.org
- Initial package release
